Выявлена уязвимость в клиентской библиотеке MySQL и MariaDB

В библиотеке libmysqlclient, используемой для подключения к СУБД MySQL, MariaDB и Percona Server, выявлена уязвимость (CVE-2015-3152), позволяющая обойти создание шифрованного канала связи и организовать MITM-атаку между клиентом и СУБД.

Проблема связана с тем, что при активации в настройках установки соединения с использованием SSL, если такое соединение не удалось установить, то канал связи всё равно устанавливается, но без применения шифрования. Подобное поведение является документированным, оно было изменено в ветке MySQL 5.7, но продолжает применяться в ветках MySQL 5.5 и 5.6, сообщает opennet.ru.

Проблема была устранена в кодовой базе MySQL 5.7.3 ещё в декабре 2013 года, но не была причислена к категории уязвимостей, поэтому остаётся неисправленной в ветках MySQL 5.5/5.6, а также во всех выпусках MariaDB и Percona Server. При этом, в MariaDB поставляется несколько связующих клиентских библиотек, из которых уязвимы libmysqlclient и Connector/C, в то время как модули Connector/J и Connector/ODBC не подвержены проблеме. 

Подпишитесь
в Facebook

Я уже с вами